import request from '@/utils/request'

// 查询积分使用梯次列表
export function listTier(query) {
  return request({
    url: '/system/pointTier/list',
    method: 'get',
    params: query
  })
}

// 查询积分使用梯次详细
export function getTier(id) {
  return request({
    url: '/system/pointTier/' + id,
    method: 'get'
  })
}

// 新增积分使用梯次
export function addTier(data) {
  return request({
    url: '/system/pointTier',
    method: 'post',
    data: data
  })
}

// 修改积分使用梯次
export function updateTier(data) {
  return request({
    url: '/system/pointTier',
    method: 'put',
    data: data
  })
}

// 删除积分使用梯次
export function delTier(id) {
  return request({
    url: '/system/pointTier/' + id,
    method: 'delete'
  })
}
